Bug 1531 - GtkTreeView does not emit row-activated signals on tap or double-tap
: GtkTreeView does not emit row-activated signals on tap or double-tap
Status: RESOLVED FIXED
Product: Desktop platform
gtk
: unspecified
: N800 All
: Low normal with 2 votes (vote)
: 4.0
Assigned To: Rodrigo Novo
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-06-12 05:02 UTC by Matt Clark
Modified: 2008-11-03 18:40 UTC (History)
6 users (show)

See Also:


Attachments
Python sample code (962 bytes, text/plain)
2007-06-12 05:04 UTC, Matt Clark
Details
C sample code (2.10 KB, text/plain)
2007-06-12 05:05 UTC, Matt Clark
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Matt Clark (reporter) 2007-06-12 05:02:29 UTC
GtkTreeView widgets do not emit row-activated signals when running on ITOS2007.
 This effectively prevents many uses of GtkTreeView widgets.

Sample code for Python and C attached (C code courtesy of Lauro Moura).

Steps to reproduce:
1) Take vanilla N800
2) Install osso-xterm and python2.5
3) Run attached python program
4) Tap and double tap on treeview rows - no signal is being emitted
Comment 1 Matt Clark (reporter) 2007-06-12 05:04:49 UTC
Created an attachment (id=467) [details]
Python sample code
Comment 2 Matt Clark (reporter) 2007-06-12 05:05:33 UTC
Created an attachment (id=468) [details]
C sample code
Comment 3 Tim Wegener 2007-08-01 14:13:58 UTC
Using a Bluetooth keyboard reveals that space and shift+space do trigger
row-activated, but enter does not. 

Also I can confirm that double-clicking a treeview item does not trigger the
row-activated event.

This problem is present in IT OS 2007.4.
Comment 4 Kristian Rietveld 2008-02-11 16:46:59 UTC
Ran the C testcase on IT2008.

(In reply to comment #0)
> 4) Tap and double tap on treeview rows - no signal is being emitted

Single taps on selected rows do emit the row-activated signal here.  Double
taps will give you two emissions of the row-activated signal.


(In reply to comment #3)
> Using a Bluetooth keyboard reveals that space and shift+space do trigger
> row-activated, but enter does not. 

In scratchbox all of space, shift+space and enter do emit the row-activated
signal.


Are you still experiencing any issues with regard to this in IT2008?  Otherwise
I will resolve this bug as WORKSFORME.
Comment 5 Andre Klapper maemo.org 2008-06-06 17:46:44 UTC
reassigning Tommi's bugs to Rodrigo.
Comment 6 Andre Klapper maemo.org 2008-10-30 22:10:33 UTC
Matt, Tim,
are you still experiencing any issues with regard to this in IT2008?
Comment 7 Matt Clark (reporter) 2008-10-30 22:55:58 UTC
I'm not developing on Maemo at the moment so can't say
Comment 8 BenoƮt HERVIER 2008-11-03 09:50:13 UTC
Row-activated signal is emitted for me on diablo and for many user of mCalendar
(so using python gtk binding)
Comment 9 Andre Klapper maemo.org 2008-11-03 18:40:37 UTC
Thanks.
Closing as FIXED as per comment 4 and comment 8.